%define subrel 1
%define _requires_exceptions devel\(libnss3.*\)\\|devel\(libnspr4.*\)\\|devel\(libsmime3.*\)

%define	major_glib	4
%define major_glib_vpn	1
%define major_util	2
%define gimajor_glib	1.0
%define gimajor_util	1.0
%define libnm_glib		%mklibname nm-glib %{major_glib}
%define libnm_glib_devel	%mklibname -d nm-glib
%define libnm_glib_vpn		%mklibname nm-glib-vpn %{major_glib_vpn}
%define libnm_glib_vpn_devel	%mklibname -d nm-glib-vpn
%define libnm_util		%mklibname nm-util %{major_util}
%define libnm_util_devel	%mklibname -d nm-util
%define libnm_glib_gi		%mklibname nmclient-gir %{gimajor_glib}
%define libnm_util_gi		%mklibname networkmanager-gir %{gimajor_util}

%define url_ver %(echo %{version} | cut -d "." -f -2)

%define	rname	NetworkManager
Name:		networkmanager
Summary:	Network connection manager and user applications
Version:	0.9.8.8
Release:	%mkrel 3
Group:		System/Base
License:	GPLv2+
URL:		http://www.gnome.org/projects/NetworkManager/
Source0:	https://download.gnome.org/sources/%{rname}/%{url_ver}/%{rname}-%{version}.tar.xz
Source1:	README.urpmi
Source2:	README-mdvplugin.urpmi
Source3:	nm-poke-nscd
# This patch is build from GIT at git://git.mandriva.com/projects/networkmanager.git
# DO NOT CHANGE IT MANUALLY.
# To generate patch use
#	git diff master..mdv
# Current mdv tip: e521d383
# TODO NEED TO BE REDIFFED FOR NM 0.9
#Patch1:		networkmanager-mdv.patch
# Fedora patches
Patch2:		networkmanager-0.8.1.999-explain-dns1-dns2.patch
# Mageia patches
# (blino) took discover_mac_address() from ifcfg-mdv, modified to read device name
Patch10:       NetworkManager-0.9.3.995-discover-mac-address.patch
# (blino) took ifcfg_mdv_parse_ssid() from ifcfg-mdv to read WIRELESS_ESSID, but kept ESSID as fallback
Patch11:	NetworkManager-0.9.3.990-mga-wireless_essid.patch
# (cg)
#Patch21: NetworkManager-0.9.4.0-nscd-poke.patch
# (sander85) http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=dd0460697c4e281fe277b53916d5251332e1aafc
Patch22:	networkmanager-0.9.4.0-nm-remote-settings.patch
# (fhimpe) Make it use correct location for dhclient lease files
# (doktor5000) https://bugzilla.gnome.org/show_bug.cgi?id=703040#c5
Patch23:	0001-modem-manager-if-building-systemd-support-assume-it-.patch
BuildRequires:	libnl3-devel wpa_supplicant libiw-devel dbus-glib-devel
BuildRequires:	nss-devel intltool
BuildRequires:	gtk-doc ext2fs-devel
BuildRequires:	ppp-devel polkit-1-devel 
BuildRequires:	libuuid-devel
BuildRequires:	libgudev-devel
#BuildRequires:	dhcp-client
BuildRequires:	iptables
BuildRequires:  gobject-introspection-devel >= 0.10.3
# (bor) for systemd support, pkg-config; move to systemd?
BuildRequires:	systemd-units
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(libsystemd-login)
BuildRequires:	pkgconfig(mm-glib)
Requires:	wpa_supplicant wireless-tools dhcp-client
Requires:	mobile-broadband-provider-info
Requires:	modemmanager
Requires:	dhcp-client
Requires:	dnsmasq-base
Requires:	ppp = %(rpm -q --queryformat "%{VERSION}" ppp )
Requires:	iproute2
Requires:	iptables
Provides:	NetworkManager = %{version}-%{release}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
NetworkManager attempts to keep an active network connection available at all
times.  It is intended only for the desktop use-case, and is not intended for
usage on servers.   The point of NetworkManager is to make networking
configuration and setup as painless and automatic as possible.  If using DHCP,
NetworkManager is _intended_ to replace default routes, obtain IP addresses
from a DHCP server, and change nameservers whenever it sees fit.

%package -n	%{libnm_util}
Summary:	Shared library for nm_util
Group:		System/Libraries
Provides:	%{_lib}nm_util1 = %{version}-%{release}

%description -n %{libnm_util}
Shared library for nm-util.

%package -n	%{libnm_util_gi}
Summary:	GObject Introspection interface library for nm_util
Group:		System/Libraries
Requires:	%{libnm_util} = %{version}-%{release}

%description -n %{libnm_util_gi}
GObject Introspection interface library for nm-util.

%package -n	%{libnm_util_devel}
Summary:	Development files for nm_util
Group:		Development/C
Provides:	libnm-util-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	NetworkManager-devel = %{version}-%{release}
Requires:	%{libnm_util} = %{version}-%{release}

%description -n %{libnm_util_devel}
Development files for nm-util.

%package -n	%{libnm_glib}
Summary:	Shared library for nm_glib
Group:		System/Libraries

%description -n	%{libnm_glib}
This package contains the libraries that make it easier to use some
NetworkManager functionality from applications that use glib.

%package -n	%{libnm_glib_gi}
Summary:	GObject Introspection interface library for nm_glib
Group:		System/Libraries
Requires:	%{libnm_glib} = %{version}-%{release}

%description -n %{libnm_glib_gi}
GObject Introspection interface library for nm_glib.

%package -n	%{libnm_glib_devel}
Summary:	Development files for nm_glib
Group:		Development/C
Provides:	libnm-glib-devel = %{version}-%{release}
Provides:       NetworkManager-glib-devel = %{version}-%{release}
Requires:	%{libnm_glib} = %{version}-%{release}
# /usr/include/libnm-glib/nm-client.h #includes nm-vpn-connection.h
# which is in libnm-glib-vpn-devel pkg
Requires:	pkgconfig(libnm-glib-vpn) = %{version}-%{release}

%description -n %{libnm_glib_devel}
Development files for nm-glib.

%package -n	%{libnm_glib_vpn}
Summary:	Shared library for nm-glib-vpn
Group:		System/Libraries

%description -n	%{libnm_glib_vpn}
This package contains the libraries that make it easier to use some
NetworkManager VPN functionality from applications that use glib.

%package -n	%{libnm_glib_vpn_devel}
Summary:	Development files for nm-glib-vpn
Group:		Development/C
Provides:	libnm-glib-vpn-devel = %{version}-%{release}
Requires:	%{libnm_glib_vpn} = %{version}-%{release}

%description -n %{libnm_glib_vpn_devel}
Development files for nm-glib-vpn.

%prep
%setup -q -n %{rname}-%{version}
%apply_patches

%build
AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install --verbose
%configure2_5x	--disable-static \
		--with-distro=mandriva \
		--with-crypto=nss \
		--enable-more-warnings=yes \
		--with-docs=yes \
		--with-system-ca-path=/etc/pki/tls/certs \
		--with-resolvconf=yes \
		--with-session-tracking=systemd \
		--with-tests=yes \
		--with-modem-manager-1
%make

%install
%makeinstall_std

install -d %{buildroot}%{_libexecdir}
install -m755 %{SOURCE3} %{buildroot}%{_libexecdir}/

cat > %{buildroot}%{_sysconfdir}/NetworkManager/NetworkManager.conf << EOF
[main]
plugins=ifcfg-rh,keyfile
EOF
# Create netprofile module 
%__install -d %{buildroot}%{_sysconfdir}/netprofile/modules/
cat > %{buildroot}%{_sysconfdir}/netprofile/modules/01_networkmanager << EOF
# netprofile module
#
# this module contains settings for saving/restore the NetworkManager configuration
# in different network profiles

NAME="networkmanager"
DESCRIPTION="Networkmanager connection settings"

# list of files to be saved by netprofile
FILES="/etc/NetworkManager/"

# list of services to be restarted by netprofile
SERVICES="networkmanager"
EOF
chmod  755 %{buildroot}%{_sysconfdir}/netprofile/modules/01_networkmanager

# create a VPN directory
install -d %{buildroot}%{_sysconfdir}/%{rname}/VPN
install -m755 test/.libs/nm-online -D %{buildroot}%{_bindir}/nm-online

# create keyfile plugin system-settings directory
install -d %{buildroot}%{_sysconfdir}/%{rname}/system-connections

# Add readme displayed by urpmi
cp %{SOURCE1} .

# provide networkmanager daemon via systemd as well
pushd %{buildroot}/%{_unitdir}
ln -s NetworkManager.service %{name}.service
popd

%find_lang %{rname}

find %{buildroot} -name \*.la|xargs rm -f

#post
# (cg) Do not enable NM by default. Doing so means that all configuration done
# via draknetcenter suddenly no longer applies if this package is installed
# on a running system. Likewise, configuration made during install might not
# apply either when booting which is again bad.
# Users can now enable NM in drakxservices and on reboot all interfaces will
# automatically flip over to NM. This behaviour is now deterministic and can
# be documented cleanly rather than the previous mess.
#%_post_service %{name}

%preun
%_preun_service %{name}

%files -f %{rname}.lang
%doc AUTHORS CONTRIBUTING ChangeLog NEWS README TODO
%doc README.urpmi
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.NetworkManager.conf
%{_sysconfdir}/dbus-1/system.d/nm-avahi-autoipd.conf
%{_sysconfdir}/dbus-1/system.d/nm-dhcp-client.conf
%{_sysconfdir}/dbus-1/system.d/nm-dispatcher.conf
%{_sysconfdir}/dbus-1/system.d/nm-ifcfg-rh.conf
%dir %{_sysconfdir}/%{rname}
%config(noreplace) %{_sysconfdir}/%{rname}/NetworkManager.conf
%{_sysconfdir}/netprofile/modules/01_networkmanager
%{_sbindir}/%{rname}
%dir %{_sysconfdir}/%{rname}/dispatcher.d
%dir %{_sysconfdir}/%{rname}/system-connections
%dir %{_sysconfdir}/NetworkManager/VPN
%{_bindir}/nmcli
%{_bindir}/nm-tool
%{_bindir}/nm-online
%{_libexecdir}/nm-dispatcher.action
%{_libexecdir}/nm-dhcp-client.action
%{_libexecdir}/nm-avahi-autoipd.action
%{_libexecdir}/nm-poke-nscd
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%{_mandir}/man8/*.8*
%dir %{_libdir}/NetworkManager
%{_libdir}/NetworkManager/*.so
%{_libdir}/pppd/*.*.*/nm-pppd-plugin.so
%{_datadir}/bash-completion/completions/nmcli
%{_datadir}/dbus-1/system-services/org.freedesktop.nm_dispatcher.service
%{_datadir}/polkit-1/actions/org.freedesktop.NetworkManager.policy
%{_datadir}/gtk-doc/html/*
/lib/udev/rules.d/*.rules
%{_unitdir}/NetworkManager.service
%{_unitdir}/networkmanager.service
%{_unitdir}/NetworkManager-wait-online.service
%{_unitdir}/NetworkManager-dispatcher.service
%{_datadir}/dbus-1/system-services/org.freedesktop.NetworkManager.service

%files -n %{libnm_util}
%{_libdir}/libnm-util.so.%{major_util}*

%files -n %{libnm_util_gi}
%{_libdir}/girepository-1.0/NetworkManager-%{gimajor_util}.typelib

%files -n %{libnm_util_devel}
%dir %{_includedir}/%{rname}
%{_includedir}/%{rname}/*.h
%{_libdir}/pkgconfig/%{rname}.pc
%{_libdir}/pkgconfig/libnm-util.pc
%{_libdir}/libnm-util.so

%files -n %{libnm_glib}
%{_libdir}/libnm-glib.so.%{major_glib}*

%files -n %{libnm_glib_gi}
%{_libdir}/girepository-1.0/NMClient-%{gimajor_glib}.typelib

%files -n %{libnm_glib_vpn}
%{_libdir}/libnm-glib-vpn.so.%{major_glib_vpn}*

%files -n %{libnm_glib_devel}
%dir %{_includedir}/libnm-glib
%exclude %{_includedir}/libnm-glib/nm-vpn*.h
%{_includedir}/libnm-glib/*.h
%{_libdir}/pkgconfig/libnm-glib.pc
%{_libdir}/libnm-glib.so
%{_datadir}/gir-1.0/NMClient-1.0.gir
%{_datadir}/gir-1.0/NetworkManager-1.0.gir

%files -n %{libnm_glib_vpn_devel}
%{_includedir}/libnm-glib/nm-vpn*.h
%{_libdir}/pkgconfig/libnm-glib-vpn.pc
%{_libdir}/libnm-glib-vpn.so


%changelog
* Fri Feb 07 2014 doktor5000 <doktor5000> 0.9.8.8-3.1.mga4
+ Revision: 585159
- add upstream patch to not ping ModemManager every 2 minutes (mga#11725)

* Tue Jan 28 2014 colin <colin> 0.9.8.8-3.mga4
+ Revision: 568525
- Do not enable by default to allow use of draknetcenter OOTB but easy enabling if wanted

* Mon Oct 21 2013 umeabot <umeabot> 0.9.8.8-2.mga4
+ Revision: 541001
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 ovitters <ovitters> 0.9.8.8-1.mga4
+ Revision: 494818
- new version 0.9.8.8

* Mon Sep 30 2013 ovitters <ovitters> 0.9.8.6-1.mga4
+ Revision: 489620
- new version 0.9.8.6

* Wed Sep 18 2013 wally <wally> 0.9.8.4-3.mga4
+ Revision: 481301
- use pkgconfig() style require for dep added in previous release

* Wed Sep 18 2013 wally <wally> 0.9.8.4-2.mga4
+ Revision: 481291
- make libnm-glib-devel to require libnm-glib-vpn-devel

* Fri Sep 13 2013 ovitters <ovitters> 0.9.8.4-1.mga4
+ Revision: 478589
- new version 0.9.8.4

* Fri Aug 02 2013 sander85 <sander85> 0.9.8.2-2.mga4
+ Revision: 462643
- Enable ModemManager support (mga#10898)

* Wed Jun 26 2013 dams <dams> 0.9.8.2-1.mga4
+ Revision: 446679
- clean specfile
- update %%file for 'dispatcher' service

  + ovitters <ovitters>
    - new version 0.9.8.2

* Sat Feb 23 2013 tmb <tmb> 0.9.8.0-1.mga3
+ Revision: 400118
- update to 0.9.8.0 final

* Mon Jan 14 2013 colin <colin> 0.9.6.4-3.mga3
+ Revision: 386000
- Fix libexec dir
- Fix build by adjusting autoreconf call.
- Do not ship a /run/NetworkManager folder. It's not used under systemd.

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 ovitters <ovitters> 0.9.6.4-1.mga3
+ Revision: 310456
- new version 0.9.6.4

* Thu Aug 09 2012 tv <tv> 0.9.6.0-2.mga3
+ Revision: 280289
- drop sysv service

* Tue Aug 07 2012 ovitters <ovitters> 0.9.6.0-1.mga3
+ Revision: 279851
- new version 0.9.6.0

* Tue Jul 24 2012 ovitters <ovitters> 0.9.5.96-1.mga3
+ Revision: 274050
- make use of _unitdir macro
- update file list
- new version 0.9.5.96

* Fri Jun 29 2012 ovitters <ovitters> 0.9.5.95-1.mga3
+ Revision: 264901
- drop merged patches
- new version 0.9.5.95

* Mon Jun 11 2012 ovitters <ovitters> 0.9.4.0-5.mga3
+ Revision: 259822
- add upstream patch to build against recent kernels
- enable systemd for session tracking

* Sat Apr 28 2012 tmb <tmb> 0.9.4.0-4.mga2
+ Revision: 233816
- Require rpm-helper >= 0.24.8-1 for systemd support

* Mon Apr 02 2012 sander85 <sander85> 0.9.4.0-3.mga2
+ Revision: 227857
- fix 'nmcli con' (https://bugzilla.redhat.com/show_bug.cgi?id=806664)

* Mon Apr 02 2012 colin <colin> 0.9.4.0-2.mga2
+ Revision: 227845
- Fix nscd deadlock when booting under systemd (mga#4509)

* Sat Mar 24 2012 ovitters <ovitters> 0.9.4.0-1.mga2
+ Revision: 226029
- add string format patch
- new version 0.9.4.0

* Mon Mar 19 2012 tmb <tmb> 0.9.3.997-2.mga2
+ Revision: 224511
- drop merged patches (P13, P50)
- build against libnl3

  + ovitters <ovitters>
    - new version 0.9.3.997
    - drop merged patch

* Tue Mar 06 2012 blino <blino> 0.9.3.995-3.mga2
+ Revision: 220666
- add back "discover mac address" patch, to fix handling of
  NM_CONTROLLED=no in ifcfg file
  (incorrectly dropped by fwang in r209998)
- add back "discover mac address" patch, to fix handling of
  NM_CONTROLLED=no in ifcfg file
  (incorrectly dropped by fwang in r209998)

* Mon Mar 05 2012 mitya <mitya> 0.9.3.995-2.mga2
+ Revision: 218275
- Fix NM startup bug (GNOME #671276, Mageia #4780)

* Fri Mar 02 2012 ovitters <ovitters> 0.9.3.995-1.mga2
+ Revision: 216949
- add upstream patch to fix the build
- new version 0.9.3.995
- simplify spec

* Sat Feb 18 2012 fwang <fwang> 0.9.3.990-1.mga2
+ Revision: 210390
- update file list
- drop merged patch
- new version 0.9.3.990

* Sat Nov 12 2011 fwang <fwang> 0.9.2.0-1.mga2
+ Revision: 166885
- new version 0.9.2.0

* Wed Sep 28 2011 ovitters <ovitters> 0.9.1.90-1.mga2
+ Revision: 149940
- add BR on pkgconfig(systemd)
- new version 0.9.1.90 (to fix mga#2857)

  + mikala <mikala>
    - Update tarball to final 0.9.0
    - use xz tarball since it's provided upstream
    - rediff patch11
    - autogen.sh is not needed anymore in %%prep section

  + blino <blino>
    - add Default-Stop LSB header in initscript (thanks rpmlint)
    - prefer ifcfg-rh plugin over keyfile
    - ifcfg-rh: read WIRELESS_ESSID from ifcfg files (else NM_CONTROLLED=no interfaces fail verify step, and are managed using keyfile plugin)
    - ifcfg-rh: guess mac address if not present in ifcfg file (adapted from ifcfg-mdv plugin)

* Sun Jul 17 2011 mikala <mikala> 0.8.9997-2.mga2
+ Revision: 125291
- Enable systemd support
- Save old README.urpmi as SOURCE2 ( currently the mdv plugin is not available)
- Update README.urpmi to explain how to enable networkmanager under systemd (not done automatically)

* Fri Jul 08 2011 cjw <cjw> 0.8.9997-1.mga2
+ Revision: 120221
- not a snapshot
- put gobject introspection typelib files in separate packages
- rebuild for automatic typelib deps and provides

  + mikala <mikala>
    - Remove obsolete from 2008.0
    - remove the ifcfg-mdv plugin since we're not providing it currently

* Tue Jun 14 2011 dmorgan <dmorgan> 0.8.9997-0.1.1.mga2
+ Revision: 106192
- Use autogen.sh
- New version 0.8.9997

* Tue Jun 14 2011 dmorgan <dmorgan> 0.8.999-0.1.1.mga2
+ Revision: 106128
- Add gobject-introspection-devel as buildrequires
- New version 0.8.999

* Thu May 12 2011 mikala <mikala> 0.8.4.0-5.mga1
+ Revision: 97431
- Remove comgt from requires (it should be pulled by initscripts now)

* Wed May 11 2011 mikala <mikala> 0.8.4.0-4.mga1
+ Revision: 97302
- Add comgt as a requires

* Wed May 04 2011 mikala <mikala> 0.8.4.0-3.mga1
+ Revision: 94764
- netprofile module need to be +x

* Wed May 04 2011 mikala <mikala> 0.8.4.0-2.mga1
+ Revision: 94551
- Add a netprofile module :
- a user using only the keyfile plugin for example can get a benefice of netprofile

* Thu Apr 21 2011 mikala <mikala> 0.8.4.0-1.mga1
+ Revision: 89442
- Update tarball to 0.8.4
- Update Readme.urpmi

* Thu Apr 14 2011 mikala <mikala> 0.8.3.999-1.mga1
+ Revision: 85243
- Update tarball to 0.8.4 rc2
- Sync mdv patch with mandriva's one

* Wed Mar 30 2011 mikala <mikala> 0.8.2-5.mga1
+ Revision: 79020
- Add keyfile plugin by default
- Use /etc/NetworkManager/NetworkManager.conf  as default configuration file
- Remove hal as BuildRequires

* Tue Jan 25 2011 dmorgan <dmorgan> 0.8.2-4.mga1
+ Revision: 39142
- Merge mdv commit 632509
- Disable systemd for now
- imported package networkmanager


* Sun Jan 16 2011 Eugeni Dodonov <eugeni@mandriva.com> 0.8.2-4mdv2011.0
+ Revision: 631154
- Build with systemd by default.

* Sat Nov 20 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.2-3mdv2011.0
+ Revision: 599216
- update mdv patch
- require syslog, messagebus on startup/shutdown
- ifcfg-mdv ignored changed ifcfg file
- on startup all connections after first unmanaged interface were
  ignored (likely present in ifcfg-rh as well)

* Tue Nov 16 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.2-2mdv2011.0
+ Revision: 598014
- patch1: merge into ifcfg-mdv changes in ifcfg-rh since initial fork

* Fri Nov 05 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.2-1mdv2011.0
+ Revision: 593780
- 0.8.2 final

* Thu Nov 04 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.1.999-1mdv2011.0
+ Revision: 593120
- update to 0.8.2-rc
  remove patch3 (upstream)
  redo patch2 (source file is moved)
  redo patch1 (ifcfg-mdv)
  conditional systemd support build, currently disabled

  + Funda Wang <fwang@mandriva.org>
    - new verison 0.8.1

* Sat Jul 17 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.0.999-1mdv2011.0
+ Revision: 554744
- update patch0 (mdv patch)
- patch3: printf format fix
- update to 0.8.1-rc

* Mon Mar 01 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8-3mdv2010.1
+ Revision: 513074
- update patch1 - support WPA2/EAP wireless security; no wireless.d yet

* Fri Feb 26 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8-2mdv2010.1
+ Revision: 511440
- rebuild due to stuck package
- update patch0 - support for editing system connections (wired, WEP and WPA-PSK for now)
- new version

* Thu Feb 18 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.7.999-4mdv2010.1
+ Revision: 507449
- add README.urpmi
- update patch1
  add comment to spec to decsribe GIT usage and commit used to generate patch
- mark nm-system-settings.conf as %%config(noreplace)
- install directory for keyfile system-settings plugin

* Sun Feb 14 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.7.999-3mdv2010.1
+ Revision: 505900
- patch1: really add ifcfg-mdv and set it as default

* Mon Feb 08 2010 Juan Luis Baptiste <juancho@mandriva.org> 0.7.999-2mdv2010.1
+ Revision: 502447
- Forgot to increase mkrel
- rebuild
- Added experimental patch from Eugeni to add support for a Mandriva backend.

  + Frederik Himpe <fhimpe@mandriva.org>
    - Fix summary and provides of libnm-glib-vpn-devel

* Fri Jan 22 2010 Frederik Himpe <fhimpe@mandriva.org> 0.7.999-1mdv2010.1
+ Revision: 495115
- Update to new version 0.7.999

* Fri Jan 01 2010 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20100101.1mdv2010.1
+ Revision: 484900
- Update to new snapshot, build for new ppp

* Tue Nov 17 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091117.1mdv2010.1
+ Revision: 467052
- Update to new git snapshot
- Remove two patches integrated upstream

* Sun Nov 15 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091021.4mdv2010.1
+ Revision: 466263
- Add patch to make it use /var/lib/dhcp for the dhclient lease files

* Thu Nov 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091021.3mdv2010.1
+ Revision: 465515
- Fix libnm-glib-vpn-devel provides

* Thu Nov 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091021.2mdv2010.1
+ Revision: 465473
- Fix upgrade from previous versions

* Thu Nov 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091021.1mdv2010.1
+ Revision: 465463
- Fix Requires and BuildRequires
- Sync with Fedora 12:
  * Use new 07.996 snapshot
  * Add 2 Fedora patches
  * New Requires
- Underscores in library names have been replaces by dashes
- move libnm-glib-vpn to separate subpackage because it has a
  different major now
- Install nm-system-settings.conf to the default location, in order
  to not having to patch networkmanager
- Fix libnm-util libification by moving nm-ppd-plugin.so to
  networkmanager package

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.7.1-3mdv2010.0
+ Revision: 409343
- Updated buildrequires for libuuid.

* Tue Jun 09 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.7.1-2mdv2010.0
+ Revision: 384191
- Updated to 0.7.1

* Mon Mar 30 2009 Jérôme Soyer <saispo@mandriva.org> 0.7.0.99-2mdv2009.1
+ Revision: 362254
- Fix bug 46945
- Fix bug 46945

* Fri Mar 06 2009 Jérôme Soyer <saispo@mandriva.org> 0.7.0.99-1mdv2009.1
+ Revision: 349737
- New upstream release

* Mon Dec 01 2008 Funda Wang <fwang@mandriva.org> 0.7.0-3mdv2009.1
+ Revision: 308692
- really fix bug#46095

* Sun Nov 30 2008 Funda Wang <fwang@mandriva.org> 0.7.0-2mdv2009.1
+ Revision: 308479
- add more virtaul provides
- with-mdns-provider not recognized

* Sun Nov 30 2008 Funda Wang <fwang@mandriva.org> 0.7.0-1mdv2009.1
+ Revision: 308360
- 0.7.0 final

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 0.7.0-0.3675.3mdv2009.0
+ Revision: 242459
- remove comment as well
- move autoreconf call to prep stage
- fix deps exceptions for 64 bit
- remove unused configure options
- update build deps

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 0.7.0-0.3675.2mdv2009.0
+ Revision: 242329
- add missing deps

* Wed Jun 18 2008 Helio Chissini de Castro <helio@mandriva.com> 0.7.0-0.3675.1mdv2009.0
+ Revision: 225776
- Changed a little bit the versionin scheme to enable use subversioning.
- Added the devel requires exceptions to allows installation of devel packages

* Tue Jun 10 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.7.0-0.5.svn3675mdv2009.0
+ Revision: 217721
- add buildroot
- revert previous changes that broke a lot of stuff
  * some cleanups and updating..

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Mon May 19 2008 David Walluck <walluck@mandriva.org> 1:0.7.0-0.9.3.svn3669.2mdv2009.0
+ Revision: 209082
- fix typo in Obsoletes tags

* Mon May 19 2008 David Walluck <walluck@mandriva.org> 1:0.7.0-0.9.3.svn3669.1mdv2009.0
+ Revision: 208864
- enable epoch
- sync with 0.7.0-0.9.3.svn3669.fc10
- change lib package names to match library names

* Tue Mar 18 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.7.0-0.4mdv2008.1
+ Revision: 188564
- d'oh, remove dhcdb from buildrequires
- new svn snapshot
- update mandriva backend (P2)
- build fedora nm-system-settings plugin
- enable avahi for mdns (fixes crash with NetworkManager due to no mdns)
- this release actually works :p

* Sat Mar 01 2008 Olivier Blin <oblin@mandriva.com> 0.7.0-0.3mdv2008.1
+ Revision: 177393
- obsolete dhcdbd (obsoleted by NM >= 0.7.0)

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Fri Feb 08 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.7.0-0.2mdv2008.1
+ Revision: 164291
- fix problems with conflicts of -devel packages reported by blino

* Thu Feb 07 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.7.0-0.1mdv2008.1
+ Revision: 163655
- fix buildrequires
- New release: 0.7.0'ish (from svn, grabbed from suse)
- sync patches (P0 & P1) and much of structure with Fedora
- add Mandriva backend (P2)
- split out nm-applet
- cleanups

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Feb 16 2007 Olivier Thauvin <nanardon@mandriva.org> 0.6.4-5mdv2007.0
+ Revision: 121928
- fix buildrequires
- patch2 fix compil with latest dbus

* Fri Sep 08 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.4-4mdv2007.0
- Add BuildRequire

* Sat Aug 05 2006 Olivier Blin <blino@mandriva.com> 0.6.4-3mdv2007.0
- Patch1: fix build for new dbus
- add libiw-devel BuildRequires and wireless-tools Requires

* Thu Jul 20 2006 Olivier Blin <blino@mandriva.com> 0.6.4-2mdv2007.0
- update icon cache

* Wed Jul 19 2006 Olivier Blin <blino@mandriva.com> 0.6.4-1mdv2007.0
- initial Mandriva release
- Patch0: fake include of <linux/if.h>

